Bug 506767 - "Gstreamer element input-selector" plugin confusion
"Gstreamer element input-selector" plugin confusion
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 11:46 EDT by Tom London
Modified: 2009-06-30 17:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.10.23-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 506817 (view as bug list)
Environment:
Last Closed: 2009-06-30 17:41:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing "kerneloops needs plugin" (186.85 KB, image/png)
2009-06-18 11:46 EDT, Tom London
no flags Details
Screenshot showing "pidgin needs plugin" (190.02 KB, image/png)
2009-06-18 11:47 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2009-06-18 11:46:35 EDT
Created attachment 348505 [details]
Screenshot showing "kerneloops needs plugin"

Description of problem:
Each time I start rhythmbox and start playing a clip, I get a popup error indicating a missing plugin:

"XXXX requires an addition plugin", where XXXX is a "random" process (e.g., kerneloops, pidgin, ...)

No music....  When I clear the error by selecting "close", the clip immediately pauses.  Pressing "play" a second time starts the music. 

This only occurs on the first "play" of a session.  Restarting rhythmbox repeats this.

I attach 2 different screenshots showing the error popup.

When this happens

Version-Release number of selected component (if applicable):
rhythmbox-0.12.2-1.fc12.x86_64
gstreamer-plugins-farsight-0.12.11-1.fc12.x86_64
gstreamer-0.10.23-2.fc12.x86_64
gstreamer-plugins-base-0.10.23-1.fc12.x86_64
gstreamer-tools-0.10.23-2.fc12.x86_64
gstreamer-plugins-flumpegdemux-0.10.15-6.fc11.x86_64
gstreamer-python-0.10.15-1.fc12.x86_64
gstreamer-plugins-good-0.10.15-1.fc12.x86_64


How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2009-06-18 11:47:07 EDT
Created attachment 348507 [details]
Screenshot showing "pidgin needs plugin"
Comment 2 Bastien Nocera 2009-06-18 12:11:25 EDT
What's the output of "ps aux" when this happens?

I'd like to see what arguments are passed to the helper.
Comment 3 Panu Matilainen 2009-06-18 13:59:26 EDT
I get this too on F11, always happens after rb start the first time I hit play. This is how the helper is called in that case:

/usr/libexec/gst-install-plugins-helper --transient-for=60817442 gstreamer|0.10|rhythmbox|GStreamer element input-selector|element-input-selector
Comment 4 Panu Matilainen 2009-06-18 14:04:53 EDT
Hmm, actually my case is a bit different, it's always saying "<song name> requires additional plugin" and the plugin is always gstreamer input selector. Searching for it doesn't succeed but it does play the song ok.
Comment 5 Bastien Nocera 2009-06-18 14:10:01 EDT
$ gst-inspect input-selector
Factory Details:
  Long name:	Input selector
  Class:	Generic
  Description:	N-to-1 input stream selectoring
<snip>
  Binary package:	gst-plugins-bad rpmfusion rpm
  Origin URL:		http://rpmfusion.org/

Urgh!

Rhythmbox really shouldn't require a plugin from gst-plugins-bad. I'll try to fix this.

Tom, could you clone the bug against gnome-packagekit? The "kerneloops needs this" is bogus, and a bug in GPK.
Comment 6 Fedora Update System 2009-06-19 11:22:24 EDT
gstreamer-plugins-base-0.10.23-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gstreamer-plugins-base-0.10.23-2.fc11
Comment 7 Tom London 2009-06-19 12:14:15 EDT
I can verify that gstreamer-plugins-base-0.10.23-2.fc12.x86_64 "fixes for me".
Comment 8 Fedora Update System 2009-06-24 09:52:49 EDT
gstreamer-plugins-base-0.10.23-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gstreamer-plugins-base-0.10.23-3.fc11
Comment 9 Fedora Update System 2009-06-26 22:58:53 EDT
gstreamer-plugins-base-0.10.23-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gstreamer-plugins-base'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7026
Comment 10 Fedora Update System 2009-06-30 17:41:15 EDT
gstreamer-plugins-base-0.10.23-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.